#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define	pdir	FCGI
Summary:	FCGI - Fast CGI module
Summary(pl.UTF-8):	FCGI - szybki moduł CGI
Name:		perl-FCGI
Version:	0.82
Release:	3%{?tld}
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FCGI/FCGI-%{version}.tar.gz
# Source0-md5:	f51a6cb522c0ff25043281532ad0479f
Source1:	%{name}-acinclude.m4
Patch0:		am.patch
URL:		https://metacpan.org/dist/FCGI
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-FCGI-Client >= 0.09
BuildRequires:	perl-Test-Simple
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a FastCGI module for perl. It's based on the FCGI module that
comes with Open Market's FastCGI Developer's Kit, but does not require
you to recompile perl.

%description -l pl.UTF-8
To jest moduł FastCGI. Jest bazowany na module FCGI dostarczanym z
FastCGI Developer's Kit, ale nie wymaga rekompilacji Perla.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
cp -f %{SOURCE1} acinclude.m4

%build
%{__aclocal}
%{__autoconf}
%configure
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/FCGI.pm
%dir %{perl_vendorarch}/auto/FCGI
%attr(755,root,root) %{perl_vendorarch}/auto/FCGI/FCGI.so
%{_mandir}/man3/FCGI.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%changelog
* Thu Jan 11 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-FCGI.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 15c408f
- perl 5.38.0 rebuild

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> f3d4608
- perl 5.36.0 rebuild

* Thu Jun 02 2022 Jakub Bogusz <qboosh@pld-linux.org> 61e89aa
- updated to 0.82

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 7ef2fd1
- rebuild with perl 5.34.0

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> cceb21e
- updated to 0.79

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6c040ad
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 745f5e1
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4d612c3
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 7dca68e
- release 5

* Wed Feb 21 2018 Marcin Krol <hawk@tld-linux.org> 00c9b8a
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a6b7727
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a4728ac
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 4412f1d
- Up to 0.78

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> f71f930
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c1acdf0
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c33fcf6
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 349f4ca
- updated to 0.77

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8ae6519
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c633632
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8be1a97
- rebuild for perl 5.20
- release 4 (by relup.sh)

